#
# spec file for package libungif (Version 4.1.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         libungif
Copyright:    1999 - not specified
Group:        System Environment/Libraries
URL:          http://prtr-13.ucsc.edu/~badger/software/libungif/
Autoreqprov:  on
Version:      4.1.0
Release:      353
Summary:      Successor of libgif
Source:       libungif-%{version}.tar.gz
Patch:        libungif.patch
Patch1:       libungif-ia64.dif
BuildRoot:    /var/tmp/%{name}-%{version}-build

%description
This is the successor of libgif. It writes uncompressed gif's by default.

Authors:
--------
    Toshio Kuratomi <badger@prtr-13.ucsc.edu>
    Eric S. Raymond >esr@snark.thyrsus.com>

SuSE series: gra

%package -n ungif
Summary:      Tools working with the gif library
Group:        Applications/Graphics
Autoreqprov:  on

%description -n ungif
convert gifs to various formats

Authors:
--------
    Toshio Kuratomi <badger@prtr-13.ucsc.edu>
    Eric S. Raymond >esr@snark.thyrsus.com>

SuSE series: gra

%prep
%setup
%patch
%patch1

%build
%{?suse_update_config:%{suse_update_config -f}}
libtoolize --force
aclocal
autoconf
./configure --prefix=/usr
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
chmod 755 $RPM_BUILD_ROOT/usr/lib/libungif.so.*

%files
/usr/include/gif_lib.h
/usr/lib/libungif.*

%files -n ungif
%doc COPYING NEWS README doc
/usr/bin/*

%changelog -n libungif
* Tue Jun 12 2001 - ro@suse.de
- libtoolize to build
* Tue Jun 05 2001 - schwab@suse.de
- Change DumpScreen2Gif parameters to long.
* Thu May 24 2001 - pblaha@suse.cz
- fix cast pointer on ia64
* Wed Apr 18 2001 - pblaha@suse.cz
- patch from nadvornik@suse.cz for bug in loading images
* Mon Apr 09 2001 - ro@suse.de
- fixed group tag
* Wed May 17 2000 - bubnikv@suse.cz
- fixed bug of $chmod 755 libungif.so* (missing $RPM_BUILD_ROOT)
- spec file cleanup
* Mon May 15 2000 - nadvornik@suse.cz
- added BuildRoot
- added URL
* Tue Apr 04 2000 - bk@suse.de
- config.{sub,guess} update macro needs automake
* Sat Apr 01 2000 - bk@suse.de
- suse s390 team added required %%suse_update_config for s390
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jun 29 1999 - ro@suse.de
- split: ungif (containing the tools) is build as a separate package
* Tue Apr 06 1999 - ro@suse.de
- initial package
